Create Training Run Endpoint
curl --request POST \
--url https://api.example.com/v1/provisioning/client-profiles/{client_id}/training-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artifact_path": "<string>",
"data_source_id": "<string>",
"data_window": {},
"kind": "initial",
"params": {}
}
'import requests
url = "https://api.example.com/v1/provisioning/client-profiles/{client_id}/training-runs"
payload = {
"artifact_path": "<string>",
"data_source_id": "<string>",
"data_window": {},
"kind": "initial",
"params": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
artifact_path: '<string>',
data_source_id: '<string>',
data_window: {},
kind: 'initial',
params: {}
})
};
fetch('https://api.example.com/v1/provisioning/client-profiles/{client_id}/training-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}provisioning-portal
Create Training Run Endpoint
C2 — submit training (portal step 03->04). Freezes params (+hash),
409s {code:"run_active"} if a run is already active for this client,
launches the training task in the background (SSE console via C4 mirrors
progress).
POST
/
v1
/
provisioning
/
client-profiles
/
{client_id}
/
training-runs
Create Training Run Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
⌘I